%define anolis_release 3

# This spec file has been automatically updated
Version: 1.1
Release: %{anolis_release}%{?dist}
Name: libunistring
Summary: GNU Unicode string library
License: GPLv2+ or LGPLv3+
URL: https://www.gnu.org/software/libunistring/
Source0: https://ftp.gnu.org/gnu/libunistring/%{name}-%{version}.tar.xz
BuildRequires: gcc
BuildRequires: make
Provides: bundled(gnulib)

%description
This portable C library implements Unicode string types in three flavours:
(UTF-8, UTF-16, UTF-32), together with functions for character processing
(names, classifications, properties) and functions for string processing
(iteration, formatted output, width, word breaks, line breaks, normalization,
case folding and regular expressions).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: GNU Unicode string library - development files
Requires: %{name} = %{version}-%{release}

%description devel
Development files for programs using libunistring.

%prep
%autosetup

%build
%configure --disable-static --disable-rpath
%make_build

%install
%make_install
# Move staged docs so not picked up by %%doc in main package
mv $RPM_BUILD_ROOT%{_datadir}/doc/%{name} __doc

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING COPYING.LIB
%{_libdir}/%{name}.so.*
%{abidir}/%{name}.dump

%files doc
%doc AUTHORS NEWS README

%files devel
%doc HACKING DEPENDENCIES THANKS ChangeLog
%doc __doc/*
%{_infodir}/%{name}.info*
%{_libdir}/%{name}.so
%{_includedir}/unistring
%{_includedir}/*.h

%changelog
* Thu Nov 24 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.1-3
- remove libunistring.so.2*

* Wed Nov 23 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.1-2
- add libunistring.so.2* from version 1.0 to fix build env
- after all other pkgs update based on version 1.1, will remove libunistring.so.2*

* Tue Nov 22 2022 Funda Wang <fundawang@yeah.net> - 1.1-1
- New version 1.1

* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0-2
- optimise spec file & add doc package

* Tue Mar 08 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 1.0-1
- Update to upstream 1.0 release
- Init for Anolis OS 23
